Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232519 - CVE-2007-1218 tcpdump denial of service
Summary: CVE-2007-1218 tcpdump denial of service
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: tcpdump
Version: 4.4
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Miroslav Lichvar
QA Contact:
URL:
Whiteboard: impact=low,source=full-disclosure,rep...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-15 21:55 UTC by Fabio Olive Leite
Modified: 2007-11-17 01:14 UTC (History)
1 user (show)

Fixed In Version: RHSA-2007-0387
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-15 14:57:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0387 normal SHIPPED_LIVE Moderate: tcpdump security and bug fix update 2007-11-15 14:57:32 UTC

Description Fabio Olive Leite 2007-03-15 21:55:15 UTC
+++ This bug was initially created as a clone of Bug #232347 +++

A potential denial of service flaw due to a single byte overflow was found in
the way tcpdump processes 802.11 packets:
http://seclists.org/fulldisclosure/2007/Mar/0003.html

The upstream patch is here:
http://cvs.tcpdump.org/cgi-bin/cvsweb/tcpdump/print-802_11.c?r1=1.42&r2=1.43

From inspecting our packages it seems that the initial, incorrect test isn't
even present, which still leaves our packages vulnerable to this flaw.

-- Additional comment from bressers@redhat.com on 2007-03-14 17:12 EST --
This flaw also affects RHEL 3 and RHEL4.  The code in question is not present in
RHEL 2.1

Comment 1 Fabio Olive Leite 2007-03-15 22:00:28 UTC
Can we get this into 4.6?

Cheers!
Fábio

Comment 2 RHEL Product and Program Management 2007-05-09 05:43:09 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 10 errata-xmlrpc 2007-11-15 14:57:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0387.html



Note You need to log in before you can comment on or make changes to this bug.